# SPDX-License-Identifier: Apache-2.0

from environs import Env
from typing import Literal

env = Env()
env.read_env()

DATABASE: str = env("DATABASE")
SECRET_KEY: str = env("SECRET_KEY")

BASE_URL: str = env("BASE_URL")

MAX_FILE_SIZE: int = env.int("MAX_FILE_SIZE", 15)
MAX_CONTENT_LENGTH: int = env.int("MAX_CONTENT_LENGTH", 16)

STORAGE_BACKEND: Literal["local", "s3"] = env(
    "STORAGE_BACKEND", "local", validate=lambda s: s == "local" or s == "s3"
)
STORAGE_LOCAL_DIR: str = env("STORAGE_LOCAL_DIR", "data/uploads")

ECHO_QUERIES: bool = env.bool("ECHO_QUERIES", False)
